/* 
    ETRI IntraPMS Project
    전자결재 문서함 Option Class

    
*/



package com.etri.groupware.eda;

import java.util.*;

public class EDAOption {
	
	private String ingBoxSort;			//결재할 문서함 정렬 field
	private String ingSortMethod;			//결재할 문서함 정렬 방법(ASC,DESC)
	private String completeBoxSort;			//완료된 문서함 정렬 field
	private String completeSortMethod;		//완료된 문서함 정렬 방법(ASC,DESC)
	private String rejectBoxSort;			//반려된 문서함 정렬 field
	private String rejectSortMethod;		//반려된 문서함 정렬 방법(ASC,DESC)
	private String publicBoxSort;			//공용 문서함 정렬 field
	private String publicSortMethod;		//공용 문서함 정렬 방법(ASC,DESC)
	private String defaultPath;			//기본 결재경로
	private int numOfItem;				//문서함 Page당 보여주는 문서개수 
	
	public EDAOption() {}
	
	public EDAOption( String ingBoxSort, String ingSortMethod, String completeBoxSort , String completeSortMethod , String rejectBoxSort , String rejectSortMethod , String publicBoxSort , String publicSortMethod , int numOfItem ){
		this.ingBoxSort = ingBoxSort;
		this.ingSortMethod = ingSortMethod;
		this.completeBoxSort = completeBoxSort;
		this.completeSortMethod = completeSortMethod;
		this.rejectBoxSort = rejectBoxSort;
		this.rejectSortMethod = rejectSortMethod;
		this.publicBoxSort = publicBoxSort;
		this.publicSortMethod = publicSortMethod;
		this.numOfItem = numOfItem;
	}

	public EDAOption( String ingBoxSort, String ingSortMethod, String completeBoxSort , String completeSortMethod , String rejectBoxSort , String rejectSortMethod , String publicBoxSort , String publicSortMethod , String defaultPath , int numOfItem ){
		this.ingBoxSort = ingBoxSort;
		this.ingSortMethod = ingSortMethod;
		this.completeBoxSort = completeBoxSort;
		this.completeSortMethod = completeSortMethod;
		this.rejectBoxSort = rejectBoxSort;
		this.rejectSortMethod = rejectSortMethod;
		this.publicBoxSort = publicBoxSort;
		this.publicSortMethod = publicSortMethod;
		this.defaultPath = defaultPath;
		this.numOfItem = numOfItem;
	}
	
	public void setingBoxSort(String _ingBoxSort)
	{
		ingBoxSort = _ingBoxSort;
	}

	public void setingSortMethod(String _ingSortMethod)
	{
		ingSortMethod = _ingSortMethod;
	}
	
	public void setcompleteBoxSort(String _completeBoxSort)
	{
		completeBoxSort = _completeBoxSort ;
	}

	public void setcompleteSortMethod(String _completeSortMethod)
	{
		completeSortMethod = _completeSortMethod;
	}

	public void setrejectBoxSort(String _rejectBoxSort)
	{
		rejectBoxSort = _rejectBoxSort ;
	}

	public void setrejectSortMethod(String _rejectSortMethod)
	{
		rejectSortMethod = _rejectSortMethod;
	}


	public void setpublicBoxSort(String _publicBoxSort)
	{
		publicBoxSort = _publicBoxSort ;
	}

	public void setpublicSortMethod(String _publicSortMethod)
	{
		publicSortMethod = _publicSortMethod;
	}


	public void setdefaultPath( String _defaultPath)
	{
		defaultPath = _defaultPath;
	}	
	
	public void setnumOfItem(int _numOfItem)
	{
		numOfItem = _numOfItem;
	}

	public String getingBoxSort()
	{
		return ingBoxSort;
	}

	public String getingSortMethod()
	{
		return ingSortMethod;
	}		
	
	public String getcompleteBoxSort()
	{

		return completeBoxSort;
	}

	public String getcompleteSortMethod()
	{
		return completeSortMethod;
	}		

	public String getrejectBoxSort()
	{

		return rejectBoxSort;
	}

	public String getrejectSortMethod()
	{
		return rejectSortMethod;
	}		

	public String getpublicBoxSort()
	{

		return publicBoxSort;
	}

	public String getpublicSortMethod()
	{
		return publicSortMethod;
	}		


	public String getdefaultPath()
	{
		return defaultPath;
	}
	
	public int getnumOfItem()
	{
		return numOfItem;
	}
}